--
-- Licensed Materials - Property of IBM
-- 5725-C94 (C) Copyright IBM Corporation 2006, 2011.
-- All Rights Reserved.
-- US Government Users Restricted Rights- 
-- Use, duplication or disclosure restricted 
-- by GSA ADP Schedule Contract with IBM Corp.
--
-- SQL script to optionally upgrade the database schema for DB2 UDB
----------------------------------------------------------------------
-- Before running this script, you need to replace all occurences of
-- the replacement variables listed below with values appropriate for
-- your environment. Replacement variables are of the form: @VARIABLE@.
-- 
-- Note: if you do not find any replacement variables in this script 
--       this step might be already completed by a pre-processor.
-- 
-- @SCHEMA@       = Schema name
----------------------------------------------------------------------
--
-- Process this script in the DB2 command line processor
--
-- Example:
--             db2 connect to BPEDB
--             db2 -tf optionalUpgradeIndexes.sql
--


------------------
-- Drop indexes --
------------------

DROP INDEX @SCHEMA@.PIB_PIID_STATE;

DROP INDEX @SCHEMA@.PIB_STATE;

DROP INDEX @SCHEMA@.PIB_PIID_PTID_STAT;

DROP INDEX @SCHEMA@.PIB_SWI1;

DROP INDEX @SCHEMA@.SI_PI_ST_EH_STA_FE;

DROP INDEX @SCHEMA@.AIB_PI_ATID_EH_FE;

DROP INDEX @SCHEMA@.AIB_PI_DIS_EH_FE;

DROP INDEX @SCHEMA@.AIB_PIID_STAT_AIID;

DROP INDEX @SCHEMA@.AIB_AI_AT_STAT_PI;

DROP INDEX @SCHEMA@.AIB_PIID;

DROP INDEX @SCHEMA@.EI_PIID_PRIM;

DROP INDEX @SCHEMA@.EI_PIID_VTID;

DROP INDEX @SCHEMA@.EI_AIID;

DROP INDEX @SCHEMA@.EI_STATE_VTID;

DROP INDEX @SCHEMA@.QVI_PI_VARNAME;

DROP INDEX @SCHEMA@.QVI_PI_NAMESPACE;

DROP INDEX @SCHEMA@.QVI_PI_GEN_VALUE;

DROP INDEX @SCHEMA@.QVI_PI_STR_VALUE;

DROP INDEX @SCHEMA@.QVI_PI_NUM;

DROP INDEX @SCHEMA@.QVI_PI_DEC;

DROP INDEX @SCHEMA@.QVI_PI_TIME;

DROP INDEX @SCHEMA@.WI_OBJID_TYPE_REAS;

DROP INDEX @SCHEMA@.TI_ACOID;

DROP INDEX @SCHEMA@.TI_NAME;

DROP INDEX @SCHEMA@.TI_STATE;

DROP INDEX @SCHEMA@.TI_ST_KND_TI_NAME;

DROP INDEX @SCHEMA@.TI_TT_KND;

--------------------
-- Create indexes --
--------------------

CREATE INDEX @SCHEMA@.PIB_STA_PT_ST2_PI ON @SCHEMA@.PROCESS_INSTANCE_B_T
(   
  STATE, PTID, STARTER, STARTED, PIID
);

CREATE INDEX @SCHEMA@.SI_PI_ST_EH_FE_STA ON @SCHEMA@.SCOPE_INSTANCE_B_T
(   
  PIID, STID, EHIID, ENCLOSING_FEIID, STATE
);

CREATE INDEX @SCHEMA@.AIB_PI_EH_EF_DIS ON @SCHEMA@.ACTIVITY_INSTANCE_B_T
(   
  PIID, EHIID, ENCLOSING_FEIID, DISPLAY_ID_EXT
);

CREATE INDEX @SCHEMA@.AIB_PI_STA_AI ON @SCHEMA@.ACTIVITY_INSTANCE_B_T
(   
  PIID, STATE, AIID
);

CREATE INDEX @SCHEMA@.AIB_PI_AT ON @SCHEMA@.ACTIVITY_INSTANCE_B_T
(   
  PIID, ATID
);

CREATE INDEX @SCHEMA@.EI_PI_PRIM_VTID ON @SCHEMA@.EVENT_INSTANCE_B_T
(   
  PIID, IS_PRIMARY_EVENT_INSTANCE, VTID
);
